KWIN_HERSHEY_GET_STRING(3)

EXPERIMENTAL_FUNC
kwin_hershey_get_string - Get string using Hershey (stroke) font for later drawing.

SYNOPSIS
#include <karma_kwin.h>

KPixCanvasHersheyString kwin_hershey_get_string

(CONST char *string, double angle, double size, double *width, double *height, double *ascent, double *descent)

DESCRIPTION
Get string using Hershey (stroke) font for later drawing.

angle
    The rotation angle of the string in degrees.

size
    The size of the font in pixels (typically 12.8).

width
    The width of the string in pixels (ignoring rotations) is written here. If this is NULL nothing is written here.

height
    The height of the string in pixels (ignoring rotations) is written here. If this is NULL nothing is written here.

ascent
    The ascent of the string in pixels (ignoring rotations) is written here. This is typically positive. If this is NULL nothing is written here.

descent
    The descent of the string in pixels (ignoring rotations) is written here. This is typically negative. If this is NULL nothing is written here.

RETURN VALUE
A KPixCanvasHersheyString object on success, else NULL. This is valid until the next call to this function.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/